Package opennlp.tools.util.model

# Class ByteArraySerializer

java.lang.Object
opennlp.tools.util.model.ByteArraySerializer

All Implemented Interfaces:
  `ArtifactSerializer<byte[]>`

public class ByteArraySerializer extends Object implements ArtifactSerializer<byte[]>
An `ArtifactSerializer` implementation for binary data, kept in `byte[]`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ByteArraySerializer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `create(InputStream in)`
  Creates an artifact from the provided `InputStream`.
  `void`
  `serialize(byte[] artifact, OutputStream out)`
  Serializes an artifact to the provided `OutputStream`.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ByteArraySerializer

    public ByteArraySerializer()

- ## Method Details

  - ### create

    public byte[] create(InputStream in) throws IOException
    Description copied from interface: `ArtifactSerializer`
    Creates an artifact from the provided `InputStream`.

    Note: The `InputStream` remains open.

    Specified by:
      `create` in interface `ArtifactSerializer<byte[]>`
    Parameters:
      `in` - A valid, open `InputStream` ready to read from.
    Returns:
      A valid `artifact`.
    Throws:
      `IOException` - Thrown if IO errors occurred during creation.

  - ### serialize

    public void serialize(byte[] artifact, OutputStream out) throws IOException
    Description copied from interface: `ArtifactSerializer`
    Serializes an artifact to the provided `OutputStream`.

    Note: The `OutputStream` remains open.

    Specified by:
      `serialize` in interface `ArtifactSerializer<byte[]>`
    Parameters:
      `artifact` - A valid `artifact`.
      `out` - A valid, open `OutputStream` ready to write to.
    Throws:
      `IOException` - Thrown if IO errors occurred during serialization.